SDL_RequestAndroidPermissionCallback(3type)

NAME
SDL_RequestAndroidPermissionCallback - Callback that presents a response from a SDL_RequestAndroidPermission call.

SYNOPSIS
#include <SDL3/SDL_system.h>

typedef void (SDLCALL *SDL_RequestAndroidPermissionCallback)(void *userdata, const char *permission, bool granted);

FUNCTION PARAMETERS

userdata
    an app-controlled pointer that is passed to the callback.

permission
    the Android-specific permission name that was requested.

granted
    true if permission is granted, false if denied.

AVAILABILITY
This datatype is available since SDL 3.2.0.

SEE ALSO
SDL_RequestAndroidPermission(3)